const mongoose = require("mongoose");
const Formulas = mongoose.model(
  "Formulas",
  new mongoose.Schema({
    document_number: { type: String, required: true },
    job_number: { type: String },
    queue_number: { type: String },
    sample_product: { type: Boolean },
    customer_code: { type: String },
    customer_name: { type: String },
    target_date: { type: Date, required: true },
    schedule_date: { type: Date },
    priority: { type: String },
    priority_color: { type: String },
    status: { type: String, required: true },
    status_code: { type: String, required: true },
    pic: { type: String, required: true },
    pic_name: { type: String },
    pic_ticket: { type: String },
    pic_ticket_name: { type: String },
    editable: { type: Boolean, required: true },
    is_active: { type: Boolean, required: true },
    result_fg_name: { type: String },
    result_fg_code: { type: String },
    due_date_miniplant: { type: Date },
    sensory: { type: Array },
    sensory_plant: { type: Array },
    formula: { type: Array },
    history: { type: Array },
    details: { type: Array },
    created_at: { type: Date },
    created_by: { type: String },
    updated_at: { type: Date },
    updated_by: { type: String },
    ticket_id: { type: mongoose.Schema.Types.ObjectId },
    prev_formula: { type: Array },
    product_properties: { type: Array },
    last_remark: { type: String }
  }),
  "formulas"
);
module.exports = Formulas;
